using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using TopWinCMS.BLL;
using TopWinCMS.Model;
using TopWinCMS.Common;
public partial class Admin_Member_Message_Send : System.Web.UI.Page
{
    
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            if (Request["Action"] != "SystemSend")
            {
                TR_Members.Visible = true;
                TR_CloseTime.Visible = false;
                TB_Members.Text = Request["Users"];
                path.InnerHtml = Config.SiteName + " → <a href=\"Member.aspx\">会员中心</a> → <a href=\"Message.aspx\">短信管理</a> → 发送短信";
            }
            else
            {
                TR_CloseTime.Visible = true;
                TR_Members.Visible = false;
                path.InnerHtml = Config.SiteName + " → <a href=\"Member.aspx\">会员中心</a> → <a href=\"Message.aspx\">短信管理</a> → 发送系统短信";
            }
        }
    }
    protected void BT_OK_Click(object sender, EventArgs e)
    {
        MessageInfo model = new MessageInfo();
        model.GUID = Guid.NewGuid().ToString();
        model.Sender = "SystemAdmin";
        model.Incept = TB_Members.Text.Trim();
        model.Title = TB_Title.Text;
        model.PassCode = "SystemAdmin";
        model.Content = TB_Introduce.Text;

        new MessageManage().Add(model);
        
    }
}
